Bug 630339 - Review Request: python-redis - A Python client for redis
Summary: Review Request: python-redis - A Python client for redis
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-04 21:16 UTC by Silas Sewell
Modified: 2014-02-14 13:29 UTC (History)
4 users (show)

Fixed In Version: python-redis-2.0.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 23:17:44 UTC
Type: ---
ruben: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Silas Sewell 2010-09-04 21:16:30 UTC
Spec:
http://github.com/silas/rpms/raw/master/python-redis/python-redis.spec

SRPM:
http://github.com/downloads/silas/rpms/python-redis-2.0.0-1.fc13.noarch.rpm

Description:

This is a Python interface to the Redis key-value store.

rpmlint

2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Silas Sewell 2010-10-11 22:08:29 UTC
Just noticed that I accidentally posted the wrong RPM type, here is the SRPM:

http://github.com/downloads/silas/rpms/python-redis-2.0.0-1.fc13.src.rpm

Comment 2 Ruben Kerkhof 2010-10-22 06:00:12 UTC
Hi Silas,

You don't need the python_sitelib defines anymore in Fedora 13 and higher.
BuildRoot is also not needed anymore.
The same goes for %clean and rm -rf %{buildroot} in %install.

No tests, that's a pity. However I did a few tests against Redis and it works fine.

Comment 3 Silas Sewell 2010-10-26 17:41:48 UTC
My plan is to push the package to EPEL, I'll update it for Fedora 13 after I've done that.

Comment 4 Ruben Kerkhof 2010-10-26 20:42:31 UTC
Ok, that's fine by me.

I see no further issues so this package is approved.

Comment 5 Silas Sewell 2010-10-26 20:50:46 UTC
New Package CVS Request
=======================
Package Name: python-redis
Short Description: A Python client for redis
Owners: silas
Branches: F-13 F-14 EL-5 EL-6
InitialCC:

Comment 6 Jens Petersen 2010-10-28 08:55:03 UTC
Git done (by process-git-requests).

The review seems a bit terse.

Comment 7 Ruben Kerkhof 2010-10-28 14:47:00 UTC
There isn't much to review, it's just one python script.

As far as I can tell the package respects all the packaging guidelines.
I can spell them all out, and put an OK behind them, like some other reviewers do, but that's just a waste of time IMHO.

Of course, if you see any issues, you're always free to chime in.

Comment 8 Fedora Update System 2010-11-02 14:16:26 UTC
python-redis-2.0.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-redis-2.0.0-1.fc14

Comment 9 Fedora Update System 2010-11-02 14:17:24 UTC
python-redis-2.0.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-redis-2.0.0-1.fc13

Comment 10 Fedora Update System 2010-11-02 14:18:28 UTC
python-redis-2.0.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-redis-2.0.0-2.el5

Comment 11 Fedora Update System 2010-11-02 22:15:52 UTC
python-redis-2.0.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-redis'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-redis-2.0.0-1.fc14

Comment 12 Fedora Update System 2010-11-17 17:03:32 UTC
python-redis-2.0.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-17 23:14:55 UTC
python-redis-2.0.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-17 23:17:39 UTC
python-redis-2.0.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Christopher Meng 2014-02-14 06:35:32 UTC
Package Change Request
======================
Package Name: python-redis
New Branches: epel7
Owners: silas cicku

Comment 16 Gwyn Ciesla 2014-02-14 13:29:20 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.